=== src/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(xapian)
add_subdirectory(file)
add_subdirectory(pim)
add_subdirectory(kioslaves)
add_subdirectory(tools)
add_subdirectory(runner)
add_subdirectory(queryparser)
