=== debian/changelog ===
baloo (4:4.14.3-3) unstable; urgency=medium

  * Team upload.
  * Merge changes from 4:4.14.2-1.1 and 4:4.14.2-2.
  * Confirm the symbols on more architectures.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Jul 2016 21:33:45 +0200

baloo (4:4.14.3-2) unstable; urgency=medium

  * Team upload.
  * Drop the transitional baloo package, since it is also a real package
    generated by the baloo-kf5 source.
    - drop the baloo provides from baloo4

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2016 18:59:14 +0200

baloo (4:4.14.3-1) unstable; urgency=medium

  * Team upload.
  * Last upstream release.
  * Remove baloo-dbg in favour of the -dbgsym packages.
  * Update Vcs-* fields.
  * Remove obsolete Ubuntu fields.
  * Rename XS-Testsuite field as Testsuite.
  * Small fixes to copyright.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Stop using ${shlibs:Depends} in baloo-dev, as it's empty.
  * Backport upstream commit 1cb511b205fb9f283e1f6bb2fedb2e8206d93540 to set
    the cmake minimum version required and policies, and build properly with
    that; patch
    upstream_Set-cmake_minimum_required-to-set-the-cmake-policies.patch.
  * Backport upstream commit e898ea0ed2f89d977c41671ac2a93b4fd3b9b6c6 to fix
    linking against baloofiles using cmake; patch
    upstream_baloofiles-was-missing-the-EXPORT-that-other-libs-ha.patch.
  * Remove unused lintian overrides.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2016 08:29:47 +0200

baloo (4:4.14.2-2) unstable; urgency=medium

  * Update symbols files. (Closes: #777792)
  * Drop transitional package present in the kf5 version.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Aug 2015 11:54:39 +0200

baloo (4:4.14.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on libqt4-sql-sqlite (Closes: #781896, #765084)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 21 Apr 2015 17:23:58 +0200
