=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# disable unit testing on build, avoid the extra build-dependencies
.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	 $(overridden_command) -- -xbaloo -xkde-runtime -xkdepim-runtime

override_dh_strip:
	$(overridden_command) --dbgsym-migration='baloo-dbg (<< 4:4.14.3-1)'
