=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
         xvfb, xauth, dbus-x11,
         libqt4-sql-sqlite,
         kdelibs5-plugins,
         dh-acc, exuberant-ctags
Restrictions: build-needed
